function [elite] = elitePopulation(population,elitePopulationSize)
	if elitePopulationSize > 0 
		for i = 1:elitePopulationSize
			bestValue = population(1).fitness;
			bestPosition = 1;
			for j = 1:length(population)
				if(bestValue>population(j).fitness)
					bestValue = population(j).fitness;
					bestPosition = j;
				endif;
			endfor;
			elite(i) = population(bestPosition);
			population(bestPosition) = [];
		endfor;
	else
		elite = [];
	endif;
endfunction;